Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90	(revision 763)
@@ -483,171 +392,95 @@
       ENDIF
 
-          DO jn=1,jptra
-            IF (luttrd(jn)) THEN
-                DO jl=1,jpdiatrc
-                  IF (jl.eq.1) THEN
-! short title for x advection for tracer
-                      WRITE (cltra,'("XAD_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.2)  THEN
-! short title for y advection for tracer
-                      WRITE (cltra,'("YAD_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.3)  THEN
-! short title for z advection for tracer
-                      WRITE (cltra,'("ZAD_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.4)  THEN
-! short title for x diffusion for tracer
-                      WRITE (cltra,'("XDF_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.5)  THEN
-! short title for y diffusion for tracer
-                      WRITE (cltra,'("YDF_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.6)  THEN
-! short title for z diffusion for tracer
-                      WRITE (cltra,'("ZDF_",16a)') ctrcnm(jn)
-                  END IF
+      DO jn = 1, jptra
+         IF( luttrd(jn) ) THEN
+            DO jl = 1, jpdiatrc
+               ! short titles 
+               IF( jl == 1)   WRITE (cltra,'("XAD_",16a)') ctrcnm(jn)      ! x advection for tracer
+               IF( jl == 2)   WRITE (cltra,'("YAD_",16a)') ctrcnm(jn)      ! z advection for tracer
+               IF( jl == 3)   WRITE (cltra,'("ZAD_",16a)') ctrcnm(jn)      ! z advection for tracer
+               IF( jl == 4)   WRITE (cltra,'("XDF_",16a)') ctrcnm(jn)      ! x diffusion for tracer
+               IF( jl == 5)   WRITE (cltra,'("YDF_",16a)') ctrcnm(jn)      ! y diffusion for tracer
+               IF( jl == 6)   WRITE (cltra,'("ZDF_",16a)') ctrcnm(jn)      ! z diffusion for tracer
 # if defined key_trcldf_eiv
-                  IF (jl.eq.7) THEN
-! short for x gent velocity for tracer
-                      WRITE (cltra,'("XGV_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.8)  THEN
-! short for y gent velocity for tracer
-                      WRITE (cltra,'("YGV_",16a)') ctrcnm(jn)
-                  END IF
-                  IF (jl.eq.9)  THEN
-! short title for Z gent velocity for tracer
-                      WRITE (cltra,'("ZGV_",16a)') ctrcnm(jn)
-                  END IF
+               IF( jl == 7)   WRITE (cltra,'("XGV_",16a)') ctrcnm(jn)      ! x gent velocity for tracer
+               IF( jl == 8)   WRITE (cltra,'("YGV_",16a)') ctrcnm(jn)      ! y gent velocity for tracer
+               IF( jl == 9)   WRITE (cltra,'("ZGV_",16a)') ctrcnm(jn)      ! z gent velocity for tracer
 # endif
 # if defined key_trcdmp
-                  IF (jl.eq.jpdiatrc-1) THEN
-! short for x gent velocity for tracer
-                      WRITE (cltra,'("TDM_",16a)') ctrcnm(jn)
-                  END IF
-# endif
-                  IF (jl.eq.jpdiatrc) THEN
-! short for surface boundary conditions for tracer
-                      WRITE (cltra,'("SBC_",a)') ctrcnm(jn)
-                  END IF
-
-                  CALL histwrite(nit6(jn), cltra, it, trtrd(:,:,:,ikeep(jn),jl)  &
-                  &    ,ndimt50, ndext50)
-                END DO
-            END IF
-          END DO
-
-! synchronise FILE
-
+               IF( jl == jpdiatrc - 1 )   WRITE (cltra,'("TDM_",16a)') ctrcnm(jn)      ! damping
+# endif
+               IF( jl == jpdiatrc )   WRITE (cltra,'("SBC_",a)') ctrcnm(jn)      ! surface boundary conditions
+               !
+               CALL histwrite(nit6(jn), cltra, it, trtrd(:,:,:,ikeep(jn),jl)   &
+                  &          ,ndimt50, ndext50)
+            END DO
+         END IF
+      END DO
+
+      ! synchronise FILE
       IF( MOD( kt, nwritetrd ) == 0 .OR. kindic < 0 ) THEN
-          DO jn=1,jptra
-             IF (luttrd(jn)) CALL histsync(nit6(jn))
-          END DO
-      ENDIF
-
-! 3. Closing all files
-! --------------------
-
+         DO jn = 1, jptra
+            IF (luttrd(jn))   CALL histsync( nit6(jn) )
+         END DO
+      ENDIF
+
+      ! Closing all files
+      ! -----------------
       IF( kt == nitend .OR. kindic < 0 ) THEN
-          DO jn=1,jptra
-             IF (luttrd(jn)) CALL histclo(nit6(jn))
-          END DO
-      ENDIF
-
-END SUBROUTINE trcdid_wr
-
-#    else
-
-SUBROUTINE trcdid_wr(kt,kindic)
-     !!! no passive tracers
-     INTEGER, INTENT ( in ) :: kt, kindic
-     WRITE(*,*) 'trcdid_wr: You should not have seen this print! error?', kt, kindic
-END SUBROUTINE trcdid_wr
-
-#    endif
+         DO jn = 1, jptra
+            IF( luttrd(jn) )   CALL histclo( nit6(jn) )
+         END DO
+      ENDIF
+      !
+   END SUBROUTINE trcdid_wr
+
+# endif
 
 #    if defined key_passivetrc && defined key_trc_diaadd
 
-      SUBROUTINE trcdii_wr(kt,kindic)
-   !!===========================================================================================
-   !!
-   !!                       ROUTINE trcdii_wr
-   !!===========================================================================================
-   !!
-   !! Purpose :
-   !!---------
-   !!          output of passive tracer : additional 2D and 3D arrays
-   !!
-   !!
-   !! Method :
-   !! -------
-   !!
-   !!        At the beginning of the first time step (nit000), define all
-   !!        the NETCDF files and fields for additional arrays
-   !!
-   !!        At each time step call histdef to compute the mean if necessary
-   !!        Each nwritetrc time step, output the instantaneous or mean fields
-   !!
-   !!
-   !!        IF kindic <0, output of fields before the model interruption.
-   !!        IF kindic =0, time step loop
-   !!        IF kindic >0, output of fields before the time step loop
-   !!
-   !! Input :
-   !! -----
-   !!   argument
-   !!           kt              : time step
-   !!           kindic          : indicator of abnormal termination
-   !!
-   !! EXTERNAL :
-   !! --------
-   !! prihre, hist..., dianam
-   !!
-   !! History:
-   !! --------
-   !!   original  : 95-01  passive tracers  (M. Levy)
-   !!   additions : 98-01 (C. Levy) NETCDF format using ioipsl interface
-   !!   additions : 99-01 (M.A. Foujols) adapted for passive tracer
-   !!   additions : 99-09 (M.A. Foujols) split into three parts
-   !!   05-03 (O. Aumont and A. El Moussaoui) F90
-   !!==================================================================================================!
-
-      !! Modules used
-      USE ioipsl
-
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt,kindic         ! ocean time-step
-
-      INTEGER :: jn
-      LOGICAL :: ll_print = .FALSE.
-
-      CHARACTER (len=40) :: clhstnam, clop
-      CHARACTER (len=20) :: cltra, cltrau
-      CHARACTER (len=80) :: cltral
-
-      REAL(wp) :: zsto, zout, zdt
-      INTEGER :: iimi, iima, ijmi, ijma, ipk, it
-
-!
-! 0. Initialisation
-! -----------------
-
-! local variable for debugging
+   SUBROUTINE trcdii_wr( kt, kindic )
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trcdii_wr  ***
+      !!
+      !! ** Purpose :   output of passive tracer : additional 2D and 3D arrays
+      !!
+      !! ** Method  :   At the beginning of the first time step (nit000), define all
+      !!             the NETCDF files and fields for concentration of passive tracer
+      !!
+      !!        At each time step call histdef to compute the mean if necessary
+      !!        Each nwritetrc time step, output the instantaneous or mean fields
+      !!
+      !!        IF kindic <0, output of fields before the model interruption.
+      !!        IF kindic =0, time step loop
+      !!        IF kindic >0, output of fields before the time step loop
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
+      INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
+      !!
+      LOGICAL ::   ll_print = .FALSE.
+      CHARACTER (len=40) ::   clhstnam, clop
+      CHARACTER (len=20) ::   cltra, cltrau
+      CHARACTER (len=80) ::   cltral
+      INTEGER  ::   jn
+      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it
+      REAL(wp) ::   zsto, zout, zdt
+      !!----------------------------------------------------------------------
+
+      ! Initialisation
+      ! --------------
+
+      ! local variable for debugging
       ll_print = .FALSE.
       ll_print = ll_print .AND. lwp
-!
-! Define frequency of output and means
-!
+      !
+      ! Define frequency of output and means
       zdt = rdt
-#        if defined key_diainstant
+#  if defined key_diainstant
       zsto=nwriteadd*zdt
       clop='inst(only(x))'
-#        else
+#  else
       zsto=zdt
       clop='ave(only(x))'
-#        endif
+#  endif
       zout=nwriteadd*zdt
 
@@ -660,66 +493,62 @@
       it = kt - nittrc000 + 1
 
-! 1. Define NETCDF files and fields at beginning of first time step
-! -----------------------------------------------------------------
-
-      IF(ll_print)WRITE(numout,*)'trcdii_wr kt=',kt,' kindic ',kindic
-      IF(kt == nittrc000) THEN
-
-! Define the NETCDF files for additional arrays : 2D or 3D
-
-! Define the T grid file for tracer auxiliary files
-
-          CALL dia_nam(clhstnam,nwrite,'diad_T')
-          IF(lwp)WRITE(numout,*)" Name of NETCDF file ", clhstnam
-
-! Define a netcdf FILE for 2d and 3d arrays
-
-          CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,     &
-          &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         &
-          &    0, zjulian, zdt, nhoritd, nitd , domain_id=nidom)
-
-! Vertical grid for 2d and 3d arrays
-
-          CALL histvert(nitd, 'deptht', 'Vertical T levels', &
-          &    'm', ipk, gdept_0, ndepitd)
-
-
-! Declare all the output fields as NETCDF variables
-
-! more 3D horizontal arrays
-
-          DO jn=1,jpdia3d
-            cltra=ctrc3d(jn)    ! short title for 3D diagnostic
-            cltral=ctrc3l(jn)   ! long title for 3D diagnostic
-            cltrau=ctrc3u(jn)   ! UNIT for 3D diagnostic
-            CALL histdef(nitd, cltra, cltral, cltrau, jpi, jpj, nhoritd,  &
-            &    ipk, 1, ipk,  ndepitd, 32, clop, zsto, zout)
-          END DO
-
-
-! more 2D horizontal arrays
-
-          DO jn=1,jpdia2d
+      ! 1. Define NETCDF files and fields at beginning of first time step
+      ! -----------------------------------------------------------------
+
+      IF( ll_print ) WRITE(numout,*) 'trcdii_wr kt=', kt, ' kindic ', kindic
+
+      IF( kt == nittrc000 ) THEN
+
+         ! Define the NETCDF files for additional arrays : 2D or 3D
+
+         ! Define the T grid file for tracer auxiliary files
+
+         CALL dia_nam( clhstnam, nwrite, 'diad_T' )
+         IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam
+
+         ! Define a netcdf FILE for 2d and 3d arrays
+
+         CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,             &
+            &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         &
+            &          0, zjulian, zdt, nhoritd, nitd , domain_id=nidom )
+
+         ! Vertical grid for 2d and 3d arrays
+
+         CALL histvert( nitd, 'deptht', 'Vertical T levels',   &
+            &           'm', ipk, gdept_0, ndepitd)
+
+         ! Declare all the output fields as NETCDF variables
+
+         ! more 3D horizontal arrays
+         DO jn = 1, jpdia3d
+            cltra  = ctrc3d(jn)   ! short title for 3D diagnostic
+            cltral = ctrc3l(jn)   ! long title for 3D diagnostic
+            cltrau = ctrc3u(jn)   ! UNIT for 3D diagnostic
+            CALL histdef( nitd, cltra, cltral, cltrau, jpi, jpj, nhoritd,   &
+               &          ipk, 1, ipk,  ndepitd, 32, clop, zsto, zout )
+         END DO
+
+         ! more 2D horizontal arrays
+         DO jn = 1, jpdia2d
             cltra=ctrc2d(jn)    ! short title for 2D diagnostic
             cltral=ctrc2l(jn)   ! long title for 2D diagnostic
             cltrau=ctrc2u(jn)   ! UNIT for 2D diagnostic
-            CALL histdef(nitd, cltra, cltral, cltrau, jpi, jpj, nhoritd,  &
-            &    1, 1, 1,  -99, 32, clop, zsto, zout)
-          END DO
-
-! TODO: more 2D vertical sections arrays : I or J indice fixed
-
-! CLOSE netcdf Files
-
-          CALL histend(nitd)
+            CALL histdef( nitd, cltra, cltral, cltrau, jpi, jpj, nhoritd,  &
+               &          1, 1, 1,  -99, 32, clop, zsto, zout )
+         END DO
+
+         ! TODO: more 2D vertical sections arrays : I or J indice fixed
+
+         ! CLOSE netcdf Files
+         CALL histend( nitd )
 
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdii_wr'
-         IF(ll_print) CALL FLUSH(numout )
-
-      ENDIF
-
-! 2. Start writing data
-! ---------------------
+         IF( ll_print )   CALL FLUSH(numout )
+         !
+      ENDIF
+
+      ! 2. Start writing data
+      ! ---------------------
 
       IF( lwp .AND. MOD( kt, nwriteadd ) == 0 ) THEN
@@ -728,120 +557,69 @@
       ENDIF
 
-! more 3D horizontal arrays
-
-          DO jn=1,jpdia3d
-            cltra=ctrc3d(jn) ! short title for 3D diagnostic
-            CALL histwrite(nitd, cltra, it, trc3d(:,:,:,jn), ndimt50  &
-            &   ,ndext50)
-          END DO
-
-! more 2D horizontal arrays
-
-          DO jn=1,jpdia2d
-            cltra=ctrc2d(jn) ! short title for 2D diagnostic
-            CALL histwrite(nitd, cltra, it, trc2d(:,:,jn), ndimt51    &
+      ! more 3D horizontal arrays
+      DO jn = 1, jpdia3d
+         cltra = ctrc3d(jn)   ! short title for 3D diagnostic
+         CALL histwrite( nitd, cltra, it, trc3d(:,:,:,jn), ndimt50  &
+            &           ,ndext50)
+      END DO
+
+      ! more 2D horizontal arrays
+      DO jn = 1, jpdia2d
+         cltra = ctrc2d(jn)   ! short title for 2D diagnostic
+         CALL histwrite(nitd, cltra, it, trc2d(:,:,jn), ndimt51    &
             &   ,ndext51)
-          END DO
-
-! synchronise FILE
-
-      IF( MOD( kt, nwriteadd ) == 0 .OR. kindic < 0 ) THEN
-              CALL histsync(nitd)
-      ENDIF
-
-! 3. Closing all files
-! --------------------
-
-      IF( kt == nitend .OR. kindic < 0 ) THEN
-          CALL histclo(nitd)
-      ENDIF
-
+      END DO
+
+      ! synchronise FILE
+      IF( MOD( kt, nwriteadd ) == 0 .OR. kindic < 0 )   CALL histsync( nitd )
+
+      ! Closing all files
+      ! -----------------
+      IF( kt == nitend .OR. kindic < 0 )   CALL histclo(nitd)
+      !
 END SUBROUTINE trcdii_wr
 
-#    else
-
-SUBROUTINE trcdii_wr(kt,kindic)
-     !!! no passive tracers
-     INTEGER, INTENT ( in ) :: kt, kindic
-     WRITE(*,*) 'trcdii_wr: You should not have seen this print! error?', kt, kindic
-END SUBROUTINE trcdii_wr
-
-#    endif
-
-#    if defined key_passivetrc && defined key_trc_diabio
-
-      SUBROUTINE trcdib_wr(kt,kindic)
- !!===========================================================================================
-   !!
-   !!                       ROUTINE trcdib_wr
-   !!===========================================================================================
-   !!
-   !! Purpose :
-   !!---------
-   !!          Specific output of opa: biological fields
-   !!
-   !!
-   !! Method :
-   !! -------
-   !!
-   !!        At the beginning of the first time step (nit000), define all
-   !!        the NETCDF files and fields for biological fields
-   !!
-   !!        At each time step call histdef to compute the mean if necessary
-   !!        Each nwritetrd time step, output the instantaneous or mean fields
-   !!
-   !!        IF kindic <0, output of fields before the model interruption.
-   !!        IF kindic =0, time step loop
-   !!        IF kindic >0, output of fields before the time step loop
-   !!
-   !! Input :
-   !! -----
-   !!   argument
-   !!           kt              : time step
-   !!           kindic          : indicator of abnormal termination
-   !!
-   !! Output :
-   !! ------
-   !!   file
-   !!           "histname" files : at least one file for each grid
-   !!
-   !! History:
-   !! --------
-   !!   original  : 95-01  passive tracers  (M. Levy)
-   !!   additions : 98-01 (C. Levy) NETCDF format using ioipsl interface
-   !!   additions : 99-01 (M.A. Foujols) adapted for passive tracer
-   !!   additions : 99-09 (M.A. Foujols) split into three parts
-   !!   additions : 01-06 (E Kestenare) assign a parameter to name
-   !!                                          individual tracers
-   !!   additions : 05-03 (O. Aumont and A El Moussaoui) F90
-   !!==================================================================================================!
-
-      !! Modules used
-      USE ioipsl
+# endif
+
+# if defined key_trc_diabio
+
+   SUBROUTINE trcdib_wr( kt, kindic )
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trcdib_wr  ***
+      !!
+      !! ** Purpose :   output of passive tracer : biological fields
+      !!
+      !! ** Method  :   At the beginning of the first time step (nit000), define all
+      !!             the NETCDF files and fields for concentration of passive tracer
+      !!
+      !!        At each time step call histdef to compute the mean if necessary
+      !!        Each nwritetrc time step, output the instantaneous or mean fields
+      !!
+      !!        IF kindic <0, output of fields before the model interruption.
+      !!        IF kindic =0, time step loop
+      !!        IF kindic >0, output of fields before the time step loop
+      !!----------------------------------------------------------------------
       USE sms
-
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt,kindic         ! ocean time-step
-
-      INTEGER :: ji, jj, jk, jn
-      LOGICAL :: ll_print = .FALSE.
-
-      CHARACTER (len=40) :: clhstnam, clop
-      CHARACTER (len=20) :: cltra, cltrau
-      CHARACTER (len=80) :: cltral
-
-      REAL(wp) :: zsto, zout, zdt
-      INTEGER  :: iimi, iima, ijmi, ijma, ipk, it
-
-!
-! 0. Initialisation
-! -----------------
-
-! local variable for debugging
+      !!
+      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
+      INTEGER, INTENT( in ) ::   kindic      ! indicator of abnormal termination
+      !!
+      LOGICAL ::   ll_print = .FALSE.
+      CHARACTER (len=40) ::   clhstnam, clop
+      CHARACTER (len=20) ::   cltra, cltrau
+      CHARACTER (len=80) ::   cltral
+      INTEGER  ::   ji, jj, jk, jn
+      INTEGER  ::   iimi, iima, ijmi, ijma, ipk, it
+      REAL(wp) ::   zsto, zout, zdt
+      !!----------------------------------------------------------------------
+
+      ! Initialisation
+      ! --------------
+
+      ! local variable for debugging
       ll_print = .FALSE.
       ll_print = ll_print .AND. lwp
-!
-! Define frequency of output and means
-!
+
+      ! Define frequency of output and means
       zdt = rdt
 #        if defined key_diainstant
@@ -862,37 +640,34 @@
       it = kt - nittrc000 + 1
 
-! 1. Define NETCDF files and fields at beginning of first time step
-! -----------------------------------------------------------------
-
-      IF(ll_print)WRITE(numout,*)'trcdib_wr kt=',kt,' kindic ',kindic
-      IF(kt == nittrc000) THEN
-
-! Define the NETCDF files for biological trends
-
-          CALL dia_nam(clhstnam,nwrite,'biolog')
-          IF(lwp)WRITE(numout,*)        &
-          &      " Name of NETCDF file for biological trends ",clhstnam
-! Horizontal grid : glamt and gphit
-          CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,      &
-          &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,          &
-          &    0, zjulian, rdt, nhoritb, nitb , domain_id=nidom)
-! Vertical grid for biological trends
-          CALL histvert(nitb, 'deptht', 'Vertical T levels',  &
-          &    'm', ipk, gdept_0, ndepitb)
-
-! Declare all the output fields as NETCDF variables
-
-! biological trends
-
-          DO jn=1,jpdiabio
-            cltra=ctrbio(jn)    ! short title for biological diagnostic
-            cltral=ctrbil(jn)   ! long title for biological diagnostic
-            cltrau=ctrbiu(jn)   ! UNIT for biological diagnostic
+      ! Define NETCDF files and fields at beginning of first time step
+      ! --------------------------------------------------------------
+
+      IF(ll_print) WRITE(numout,*)'trcdib_wr kt=',kt,' kindic ',kindic
+
+      IF( kt == nittrc000 ) THEN
+
+         ! Define the NETCDF files for biological trends
+
+         CALL dia_nam(clhstnam,nwrite,'biolog')
+         IF(lwp)WRITE(numout,*) " Name of NETCDF file for biological trends ", clhstnam
+         ! Horizontal grid : glamt and gphit
+         CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,      &
+            &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,          &
+            &    0, zjulian, rdt, nhoritb, nitb , domain_id=nidom)
+         ! Vertical grid for biological trends
+         CALL histvert(nitb, 'deptht', 'Vertical T levels',  &
+            &    'm', ipk, gdept_0, ndepitb)
+
+         ! Declare all the output fields as NETCDF variables
+         ! biological trends
+         DO jn = 1, jpdiabio
+            cltra  = ctrbio(jn)   ! short title for biological diagnostic
+            cltral = ctrbil(jn)   ! long title for biological diagnostic
+            cltrau = ctrbiu(jn)   ! UNIT for biological diagnostic
             CALL histdef(nitb, cltra, cltral, cltrau, jpi, jpj, nhoritb,  &
-            &    ipk, 1, ipk,  ndepitb, 32, clop, zsto, zout)
-          END DO
-
-! CLOSE netcdf Files
-
+               &         ipk, 1, ipk,  ndepitb, 32, clop, zsto, zout)
+         END DO
+
+         ! CLOSE netcdf Files
           CALL histend(nitb)
 
@@ -900,12 +675,11 @@
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization in trcdib_wr'
          IF(ll_print) CALL FLUSH(numout )
-
-     ENDIF
-
-! 2. Start writing data
-! ---------------------
-
-! biological trends
-
+         !
+      ENDIF
+
+      ! Start writing data
+      ! ------------------
+
+      ! biological trends
       IF( lwp .AND. MOD( kt, nwritebio ) == 0 ) THEN
          WRITE(numout,*) 'trcdit_wr : write NetCDF biological trends at ', kt, 'time-step'
@@ -913,33 +687,40 @@
       ENDIF
 
-
-      DO jn=1,jpdiabio
+      DO jn = 1, jpdiabio
          cltra=ctrbio(jn)  ! short title for biological diagnostic
          CALL histwrite(nitb, cltra, it, trbio(:,:,:,jn), ndimt50,ndext50)
       END DO
 
-! synchronise FILE
-
-      IF( MOD( kt, nwritebio ) == 0 .OR. kindic < 0 ) THEN
-              CALL histsync(nitb)
-      ENDIF
-
-! 3. Closing all files
-! --------------------
-      IF( kt == nitend .OR. kindic < 0 ) THEN
-          CALL histclo(nitb)
-      ENDIF
-
-END SUBROUTINE trcdib_wr
-
-#    else
-
-SUBROUTINE trcdib_wr(kt,kindic)
-     !!! no passive tracers
-     INTEGER, INTENT ( in ) :: kt, kindic
-     WRITE(*,*) 'trcdib_wr: You should not have seen this print! error?', kt, kindic
-END SUBROUTINE trcdib_wr
-
-#    endif
-
+      ! synchronise FILE
+      IF( MOD( kt, nwritebio ) == 0 .OR. kindic < 0 )   CALL histsync( nitb )
+
+      ! Closing all files
+      ! -----------------
+      IF( kt == nitend .OR. kindic < 0 )   CALL histclo( nitb )
+      !
+   END SUBROUTINE trcdib_wr
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+   SUBROUTINE trcdit_wr( kt, kindic )                      ! Dummy routine
+      INTEGER, INTENT ( in ) ::   kt, kindic
+      WRITE(*,*) 'trcdit_wr: You should not have seen this print! error?', kt, kindic
+   END SUBROUTINE trcdit_wr
+   SUBROUTINE trcdid_wr( kt, kindic )                      ! Dummy routine
+      INTEGER, INTENT ( in ) ::   kt, kindic
+      WRITE(*,*) 'trcdid_wr: You should not have seen this print! error?', kt, kindic
+   END SUBROUTINE trcdid_wr
+   SUBROUTINE trcdii_wr( kt, kindic )                      ! Dummy routine
+      INTEGER, INTENT ( in ) :: kt, kindic
+      WRITE(*,*) 'trcdii_wr: You should not have seen this print! error?', kt, kindic
+   END SUBROUTINE trcdii_wr
+   SUBROUTINE trcdib_wr( kt, kindic )                      ! Dummy routine
+      INTEGER, INTENT ( in ) ::   kt, kindic
+      WRITE(*,*) 'trcdib_wr: You should not have seen this print! error?', kt, kindic
+   END SUBROUTINE trcdib_wr
+#endif
+
+   !!======================================================================
 END MODULE trcdit
